Component({
    options: {
        addGlobalClass: true
    },
    properties: {
        search: Boolean, //是否开启搜索
        list: {
            type: Array,
            value: [{
                label: "我负责的",
                icon: "icon-webxialaxuanxiangjiantou",
                color: "",
                width: ""
            }, {
                label: "筛选",
                icon: "icon-daoruxialajiantou",
                color: "",
                width: ""
            }, {
                label: "创建时间",
                icon: "icon-quxiao",
                color: "",
                width: ""
            }]
        }, //功能列表
        onSearch: Function,
        onClick: Function
    },
    data: {

    },
    methods: {
        onClick(e) {
            const {
                item
            } = e.currentTarget.dataset;
            this.triggerEvent("onClick", item)
        },
        handleSearch() {
            this.triggerEvent("onSearch")
        }
    }
})